package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultSideVo;
import com.example.tdl.mapper.SideMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SideService {

    @Autowired
    private SideMapper sideMapper;

    public List<ResultSideVo> selectAllTitle(String roleName,String companyName){
        return sideMapper.selectAllTitle(roleName,companyName);
    }

    public List<ResultSideVo> selectBySideTitle(String roleName,String companyName,String sideTitle){
        return sideMapper.selectBySideTitle(roleName,companyName,sideTitle);
    }

    public List<String> getSideTitleParentName(){
        return sideMapper.getSideTitleParentName();
    }

    public List<String> getSideTitleByParentName(String sideTitle){
        return sideMapper.getSideTitleByParentName(sideTitle);
    }

    public String getParentPermissionBySideTitle(String sideTitle){
        return sideMapper.getParentPermissionBySideTitle(sideTitle);
    }

}
